Bug 4358

Summary: Source Window breaks after second process activated from "Run executable"
Product: frysk Reporter: Rick Moseley <rmoseley>
Component: generalAssignee: Rick Moseley <rmoseley>
Status: RESOLVED FIXED    
Severity: normal CC: mcvet
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:
Bug Depends on:    
Bug Blocks: 4193    

Description Rick Moseley 2007-04-13 18:44:01 UTC
After starting an executable via the "Run executable" selection pulldownn from
the "File" pulldown, the source window appears to freeze.  The new task appears
in the frame window but when selected it shows no data.  If a frame from the
previous task is selected this error appears:

getWidget: failed getting sourceLabel
java.lang.NullPointerException
   at frysk.gui.srcwin.SourceWindow.updateShownStackFrame(SourceWindow.java:1934)
   at
frysk.gui.srcwin.SourceWindow$SourceWindowListener.currentStackChanged(SourceWindow.java:2772)
   at frysk.gui.srcwin.CurrentStackView.notifyObservers(CurrentStackView.java:426)
   at
frysk.gui.srcwin.CurrentStackView.selectionChangedEvent(CurrentStackView.java:518)
   at org.gnu.gtk.TreeSelection.fireSelectionEvent(libgtkjava-2.8.so)
   at org.gnu.gtk.TreeSelection.handleChanged(libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.gtk_main(libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.main(libgtkjava-2.8.so)
   at frysk.gui.Gui.gui(Gui.java:244)
   at frysk.gui.FryskGui.main(FryskGui.java:59)
Comment 1 Rick Moseley 2007-04-14 13:46:47 UTC
Actually, this problem was being masked by another problem which was fixed where
the new FileChooser window was using the same "glade" variable as the
SourceWindow window.  Changing that made the problem appear differntly.  Now
this error appears:

(No exception message provided)

java.lang.ArrayIndexOutOfBoundsException
   at java.lang.System.arraycopy(libgcj.so.7)
   at frysk.gui.srcwin.SourceWindow.appendProc(SourceWindow.java:704)
   at frysk.gui.srcwin.SourceWindow$LockObserver.update(SourceWindow.java:2880)
   at java.util.Observable.notifyObservers(libgcj.so.7)
   at frysk.rt.RunState.updateExecuted(RunState.java:1143)
   at frysk.proc.Proc$14.add(Proc.java:701)
   at
frysk.proc.LinuxPtraceTaskState$BlockedSignal.handleAddObservation(LinuxPtraceTaskState.java:1214)
   at frysk.proc.Task.handleAddObservation(Task.java:269)
   at frysk.proc.TaskObservation.handleAdd(TaskObservation.java:87)
   at
frysk.proc.LinuxPtraceProcState$3.handleAddObservation(LinuxPtraceProcState.java:393)
   at frysk.proc.Proc.handleAddObservation(Proc.java:423)
   at frysk.proc.Proc$14.execute(Proc.java:685)
   at frysk.event.WaitEventLoop.runEventLoop(WaitEventLoop.java:305)
   at frysk.event.EventLoop.run(EventLoop.java:178)
   at frysk.gui.Gui$4.run(Gui.java:367)
   at java.lang.Thread.run(libgcj.so.7)
Comment 2 Rick Moseley 2007-04-17 04:12:15 UTC
Fixed in SourceWindowFactory.java.